#include <stdio.h>

void z_strcat(char* s, char* t) {
    // Skip to the end of s
    for (; *s != '\0'; s++) {}
    // Copy over t
    for (; *t != '\0'; t++, s++) {
        *s = *t; 
    }
    // Ensure null terminator
    *s = '\0';
}

int main(void) {
    char buf[100] = "";
    z_strcat(buf, "foo");
    printf("%s\n", buf);
    z_strcat(buf, "bar");
    printf("%s\n", buf);
}